Bug 10994 - KPanel Locks when Dialed Up with kppp
KPanel Locks when Dialed Up with kppp
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-22 22:35 EDT by c_r_aguilera
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-28 11:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.2.x kernel patch for DVD/IDE/UDF (306.02 KB, patch)
2000-04-22 22:39 EDT, c_r_aguilera
no flags Details | Diff
additional comments....new environment settings not fixed. (621 bytes, text/plain)
2000-04-28 01:28 EDT, c_r_aguilera
no flags Details

  None (edit)
Description c_r_aguilera 2000-04-22 22:35:19 EDT
Possible not a RedHat Problem, but don't know at this time.  Clean install
on a seperate 4 GB Partition.  Custom Kernel config with DVD-ROM Patch
(avail at http://www.linuxvideo.org/).  PPP is built in, not module.  KDE's
Panel apps will not work.  The K will bring up the menus, but nothing
happens.  Icons on bottom bar do not work, and the mini terminal will not
do commands.  If you have a terminal open prior to dial-up, you can run all
programs fine from there.  Really an odd issue.  I will try to resolve from
here, but this could be a bigger prob than I know of.  Other than that,
I've seen no problems with RH6.2....yet.  I'll post anything such as
workarounds and such here as well, if I should find any.
Comment 1 djl002 2000-04-22 22:39:59 EDT
Created attachment 210 [details]
2.2.x kernel patch for DVD/IDE/UDF
Comment 2 djl002 2000-04-28 01:28:59 EDT
Created attachment 218 [details]
additional comments....new environment settings not fixed.
Comment 3 djl002 2000-04-30 21:16:59 EDT
Upon rebuild of system again....I got to the poing where I could not run xapps
again nor use kde icons or menus/shortcuts.  The fixes for 4286 and 2990 got to
the point where I can run them from a terminal.  Also, the miniterminal works.
Folders on the desktop still do not work, and Icons/menus do not work.  This is
really begining to be a problem.  For now, I can use the workaround.  Also, I am
not shown as the creator of this bug?????  Says unknown.  The package info
should be for kdenetwork I believe.  I can use the workaround for now.  But this
should be upgraded to high priority and high severity as data loss can occur in
certain situations.  More specifically, if the panel is restarted, it will not
restart, and you can not kill ppp, nor do a proper shutdown.  Also, all files
that you had open, unless previously saved, will be left unchanged upon a hard
reboot.

DJL
djl002@inlink.com
Comment 4 djl002 2000-04-30 21:34:59 EDT
KO new update....old fix for this bug almost works.  cannont use desktop Icons
only.  K-Panel now works.  Only thing not working is the desktop Icons for
KFMs.  Folders, FTP URLs,....etc.  Archiver (*.tar.gz work).  This is really
messed up, and I can't figure it out.  Also, on this lates install, the patch
has not been applied.

DJL
djl002@inlink.com
Comment 5 djl002 2000-04-30 21:35:59 EDT
Furthur more, I can run KFM from the bottom Shortcut/Panel Bar.
Comment 6 jeffersontan 2000-06-27 10:59:53 EDT
I noticed that I can still run off Disk Navigator applications, though. And once
one of them runs, for example kfm on my home directory, then the kpanel buttons
start working. This also seems to hold true once you run kfm using the 'execute'
hotkey (Alt-F2). Or maybe any application that you run via the 'execute' hotkey
does that. *Something* unfreezes kpanel.

Also, once kpanel starts working again, it keeps working even if you disconnect
and reconnect kppp. Strange, eh?
Comment 7 jeffersontan 2000-06-28 11:36:30 EDT
I tested it again and the problem disappears right after running kfm
specifically. As I mentioned before, either via Disk Navigator, i.e., open a
folder, or via Alt-F2.
Comment 8 Bernhard Rosenkraenzer 2001-02-27 10:21:31 EST
This is fixed in 2.1

Note You need to log in before you can comment on or make changes to this bug.